import json

import pytest

import spacy
from spacy import displacy

from word_recommender.generators import Generator
from word_recommender.strategies import leaf_strategy

nlp = spacy.load("en_core_web_trf")


@pytest.mark.parametrize('text, expected', [
    ('Regex for redacted phone numbers with extra info for PlayStation',
     ['PhoneNumberRegex', 'RedactedPhoneNumberRegex'])
])
def test_leaf_strategy(snapshot, text, expected):
    generator = Generator(text=text, strategy=leaf_strategy)

    results = generator.suggest()

    snapshot.assert_match(json.dumps(results), 'leaf_strategy')
